### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
CPIBond Class Reference
Financial instruments

`#include <ql/instruments/bonds/cpibond.hpp>`

Inheritance diagram for CPIBond:
[legend]

List of all members.

## Public Member Functions

CPIBond (Natural settlementDays, Real faceAmount, bool growthOnly, Real baseCPI, const Period &observationLag, const boost::shared_ptr< ZeroInflationIndex > &cpiIndex, CPI::InterpolationType observationInterpolation, const Schedule &schedule, const std::vector< Rate > &coupons, const DayCounter &accrualDayCounter, BusinessDayConvention paymentConvention=ModifiedFollowing, const Date &issueDate=Date())

Frequency | frequency () const
const DayCounter & | dayCounter () const
bool | growthOnly () const
Real | baseCPI () const
Period | observationLag () const
const boost::shared_ptr < ZeroInflationIndex > & | cpiIndex () const
CPI::InterpolationType | observationInterpolation () const

## Protected Attributes

Frequency | frequency_
DayCounter | dayCounter_
bool | growthOnly_
Real | baseCPI_
Period | observationLag_
boost::shared_ptr < ZeroInflationIndex > | cpiIndex_
CPI::InterpolationType | observationInterpolation_

## Detailed Description

cpi bond; if there is only one date in the schedule it is a zero bond returning an inflated notional.